Package virtuoso.javax

## Class BaseRowSet.Parameter

- java.lang.Object
- - virtuoso.javax.BaseRowSet.Parameter

Enclosing class:
  BaseRowSet

    protected class BaseRowSet.Parameter
    extends java.lang.Object

### Field Summary

Fields
`protected java.util.Calendar` `cal`
`protected static int` `jAsciiStream`
`protected static int` `jBinaryStream`
`protected static int` `jCharacterStream`
`protected static int` `jDateWithCalendar`
`protected static int` `jNull_1`
`protected static int` `jNull_2`
`protected static int` `jObject`
`protected static int` `jObject_1`
`protected static int` `jObject_2`
`protected static int` `jTimestampWithCalendar`
`protected static int` `jTimeWithCalendar`
`protected int` `jType`
`protected static int` `jUnicodeStream`
`protected int` `length`
`protected int` `scale`
`protected int` `sqlType`
`protected java.lang.String` `typeName`
`protected java.lang.Object` `value`

### Constructor Summary

Constructors
`protected` `Parameter​()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    protected java.lang.Object value

#### sqlType

    protected int sqlType

#### typeName

    protected java.lang.String typeName

#### scale

    protected int scale

#### length

    protected int length

#### cal

    protected java.util.Calendar cal

#### jType

    protected int jType

#### jObject

    protected static final int jObject

See Also:
  Constant Field Values

#### jObject_1

    protected static final int jObject_1

See Also:
  Constant Field Values

#### jObject_2

    protected static final int jObject_2

See Also:
  Constant Field Values

#### jAsciiStream

    protected static final int jAsciiStream

See Also:
  Constant Field Values

#### jBinaryStream

    protected static final int jBinaryStream

See Also:
  Constant Field Values

#### jUnicodeStream

    protected static final int jUnicodeStream

See Also:
  Constant Field Values

#### jCharacterStream

    protected static final int jCharacterStream

See Also:
  Constant Field Values

#### jDateWithCalendar

    protected static final int jDateWithCalendar

See Also:
  Constant Field Values

#### jTimeWithCalendar

    protected static final int jTimeWithCalendar

See Also:
  Constant Field Values

#### jTimestampWithCalendar

    protected static final int jTimestampWithCalendar

See Also:
  Constant Field Values

#### jNull_1

    protected static final int jNull_1

See Also:
  Constant Field Values

#### jNull_2

    protected static final int jNull_2

See Also:
  Constant Field Values

### Constructor Detail

#### Parameter

    protected Parameter​()